## web2py 1.95.1

=== Makefile ===
clean:
	rm -f httpserver.log 
	rm -f parameters*.py 
	rm -f -r applications/*/compiled     	
	find ./ -name '*~' -exec rm -f {} \; 
	find ./ -name '#*' -exec rm -f {} \;
	find ./ -name 'Thumbs.db' -exec rm -f {} \; 
	find ./gluon/ -name '.*' -exec rm -f {} \;
	find ./gluon/ -name '*class' -exec rm -f {} \; 
	find ./applications/admin/ -name '.*' -exec rm -f {} \; 
	find ./applications/examples/ -name '.*' -exec rm -f {} \; 
	find ./applications/welcome/ -name '.*' -exec rm -f {} \; 
	find ./ -name '*.pyc' -exec rm -f {} \;
all:
	echo "The Makefile is used to build the distribution."
	echo "In order to run web2py you do not need to make anything."
	echo "just run web2py.py"
epydoc:
	### build epydoc
	rm -f -r applications/examples/static/epydoc/ 
	epydoc --config epydoc.conf
	cp applications/examples/static/title.png applications/examples/static/epydoc
tests:
	cd gluon/tests; ./test.sh 1>tests.log 2>&1 
src:
	echo 'Version 1.95.1 ('`date +%Y-%m-%d\ %H:%M:%S`')' > VERSION
	### rm -f all junk files
	make clean
	### clean up baisc apps
	rm -f routes.py 
	rm -f applications/*/sessions/*       
	rm -f applications/*/errors/* | echo 'too many files'
	rm -f applications/*/cache/*                  
	rm -f applications/admin/databases/*                 
	rm -f applications/welcome/databases/*               
	rm -f applications/examples/databases/*             
	rm -f applications/admin/uploads/*                 
	rm -f applications/welcome/uploads/*               
	rm -f applications/examples/uploads/*             
	### make admin layout and appadmin the default
	cp applications/admin/views/appadmin.html applications/welcome/views
	cp applications/admin/views/appadmin.html applications/examples/views
	cp applications/admin/controllers/appadmin.py applications/welcome/controllers
	cp applications/admin/controllers/appadmin.py applications/examples/controllers	
	### update the license
	cp ABOUT applications/admin/
	cp ABOUT applications/examples/
	cp LICENSE applications/admin/
	cp LICENSE applications/examples/
	### build web2py_src.zip
	echo '' > NEWINSTALL
	mv web2py_src.zip web2py_src_old.zip | echo 'no old'
	cd ..; zip -r web2py/web2py_src.zip web2py/gluon/*.py web2py/gluon/contrib/* web2py/splashlogo.gif web2py/*.py web2py/ABOUT  web2py/LICENSE web2py/README web2py/NEWINSTALL web2py/VERSION web2py/Makefile web2py/epydoc.css web2py/epydoc.conf web2py/app.example.yaml web2py/logging.example.conf web2py_exe.conf web2py/queue.example.yaml MANIFEST.in mkweb2pyenv startweb2py web2py/scripts/*.sh web2py/scripts/*.py web2py/applications/admin web2py/applications/examples/ web2py/applications/welcome web2py/applications/__init__.py web2py/site-packages/__init__.py

mdp:
	make epydoc
	make src
	make app
	make win
app:
	echo 'did you uncomment import_all in gluon/main.py?'
	python2.5 -c 'import compileall; compileall.compile_dir("gluon/")'
	#python web2py.py -S welcome -R __exit__.py
	find gluon -path '*.pyc' -exec cp {} ../web2py_osx/site-packages/{} \;
	cd ../web2py_osx/site-packages/; zip -r ../site-packages.zip *
	mv ../web2py_osx/site-packages.zip ../web2py_osx/web2py/web2py.app/Contents/Resources/lib/python2.5
	cp ABOUT ../web2py_osx/web2py/web2py.app/Contents/Resources
	cp NEWINSTALL ../web2py_osx/web2py/web2py.app/Contents/Resources
	cp LICENSE ../web2py_osx/web2py/web2py.app/Contents/Resources
	cp VERSION ../web2py_osx/web2py/web2py.app/Contents/Resources
	cp README ../web2py_osx/web2py/web2py.app/Contents/Resources
	cp splashlogo.gif ../web2py_osx/web2py/web2py.app/Contents/Resources
	cp options_std.py ../web2py_osx/web2py/web2py.app/Contents/Resources
	cp routes.example.py ../web2py_osx/web2py/web2py.app/Contents/Resources
	cp router.example.py ../web2py_osx/web2py/web2py.app/Contents/Resources
	cp app.example.yaml ../web2py_osx/web2py/web2py.app/Contents/Resources
	cp queue.example.yaml ../web2py_osx/web2py/web2py.app/Contents/Resources
	cp -r applications/admin ../web2py_osx/web2py/web2py.app/Contents/Resources/applications
	cp -r applications/welcome ../web2py_osx/web2py/web2py.app/Contents/Resources/applications
	cp -r applications/examples ../web2py_osx/web2py/web2py.app/Contents/Resources/applications
	cp applications/__init__.py ../web2py_osx/web2py/web2py.app/Contents/Resources/applications
	cd ../web2py_osx; zip -r web2py_osx.zip web2py
	mv ../web2py_osx/web2py_osx.zip .
win:
	echo 'did you uncomment import_all in gluon/main.py?'
	python2.5 -c 'import compileall; compileall.compile_dir("gluon/")'
	find gluon -path '*.pyc' -exec cp {} ../web2py_win/library/{} \;
	cd ../web2py_win/library/; zip -r ../library.zip *
	mv ../web2py_win/library.zip ../web2py_win/web2py
	cp ABOUT ../web2py_win/web2py/
	cp NEWINSTALL ../web2py_win/web2py/
	cp LICENSE ../web2py_win/web2py/
	cp VERSION ../web2py_win/web2py/
	cp README ../web2py_win/web2py/
	cp splashlogo.gif ../web2py_win/web2py/
	cp options_std.py ../web2py_win/web2py/
	cp routes.example.py ../web2py_win/web2py/
	cp router.example.py ../web2py_win/web2py/
	cp app.example.yaml ../web2py_win/web2py/
	cp queue.example.yaml ../web2py_win/web2py/
	cp -r applications/admin ../web2py_win/web2py/applications
	cp -r applications/welcome ../web2py_win/web2py/applications
	cp -r applications/examples ../web2py_win/web2py/applications
	cp applications/__init__.py ../web2py_win/web2py/applications
	cd ../web2py_win; zip -r web2py_win.zip web2py
	mv ../web2py_win/web2py_win.zip .
run:
	python2.5 web2py.py -a hello
push:
	make src
	echo '' > NEWINSTALL
	hg push
	bzr push bzr+ssh://mdipierro@bazaar.launchpad.net/~mdipierro/web2py/devel --use-existing-dir

=== debian/changelog ===
web2py (1.95.1-1) unstable; urgency=low

  * New upstream version
  * Improved web2py launcher
  * Removed debian/patches/welcome_without_sessions
  * debian/rules: fix some files in the welcome application 

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Mon, 25 Apr 2011 16:39:57 +0200

web2py (1.94.6-1) unstable; urgency=low

  * New upstream version
  * debian/patches/avoid_write_translations avoid web2py trying to
    rewrite language files whenever a string is translated  

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Fri, 08 Apr 2011 13:18:32 +0200

web2py (1.92.1-1) unstable; urgency=low

  * Initial release (Closes: #583384)

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Sun, 30 Jan 2011 10:32:55 +0000

=== debian/control ===
Source: web2py
Section: python
Priority: optional
Maintainer: José L. Redrejo Rodríguez <jredrejo@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-support, python (>= 2.5), quilt
Build-Depends-Indep: libjs-jquery, python-feedparser
Standards-Version: 3.9.1
Homepage: http://www.web2py.com
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-web2py/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-web2py/trunk/

Package: python-web2py
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-gluon
Recommends: libjs-jquery, python-gtk2 | python-tk
Description: High-level Python web development framework
 web2py is a free, open-source web framework for agile development of
 secure database-driven web applications; it is written in Python and
 programmable in Python. Web2py is a full-stack framework, meaning that
 it contains all the components you need to build fully functional web
 applications. Web2py was inspired by Ruby on Rails and Django, and 
 follows a Model View Controller design.
 .
 This package includes an example site, an internal web server and the 
 administration tools to develop web sites with web2py.
 
Package: python-gluon
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: python-feedparser
Suggests: memcached
Description: High-level Python web development framework
 web2py is a free, open-source web framework for agile development of
 secure database-driven web applications; it is written in Python and
 programmable in Python. Web2py is a full-stack framework, meaning that
 it contains all the components you need to build fully functional web
 applications. Web2py was inspired by Ruby on Rails and Django, and 
 follows a Model View Controller design.
 .
 This package include the python modules needed to run web applications 
 developed with Web2py

## web2py 1.96.1

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 tests:
 	cd gluon/tests; ./test.sh 1>tests.log 2>&1 
 src:
-	echo 'Version 1.95.1 ('`date +%Y-%m-%d\ %H:%M:%S`')' > VERSION
+	echo 'Version 1.96.1 ('`date +%Y-%m-%d\ %H:%M:%S`')' > VERSION
 	### rm -f all junk files
 	make clean
 	### clean up baisc apps
@@ -50,7 +50,7 @@
 	### build web2py_src.zip
 	echo '' > NEWINSTALL
 	mv web2py_src.zip web2py_src_old.zip | echo 'no old'
-	cd ..; zip -r web2py/web2py_src.zip web2py/gluon/*.py web2py/gluon/contrib/* web2py/splashlogo.gif web2py/*.py web2py/ABOUT  web2py/LICENSE web2py/README web2py/NEWINSTALL web2py/VERSION web2py/Makefile web2py/epydoc.css web2py/epydoc.conf web2py/app.example.yaml web2py/logging.example.conf web2py_exe.conf web2py/queue.example.yaml MANIFEST.in mkweb2pyenv startweb2py web2py/scripts/*.sh web2py/scripts/*.py web2py/applications/admin web2py/applications/examples/ web2py/applications/welcome web2py/applications/__init__.py web2py/site-packages/__init__.py
+	cd ..; zip -r web2py/web2py_src.zip web2py/gluon/*.py web2py/gluon/contrib/* web2py/splashlogo.gif web2py/*.py web2py/ABOUT  web2py/LICENSE web2py/README web2py/NEWINSTALL web2py/VERSION web2py/Makefile web2py/epydoc.css web2py/epydoc.conf web2py/app.example.yaml web2py/logging.example.conf web2py_exe.conf web2py/queue.example.yaml MANIFEST.in mkweb2pyenv startweb2py web2py/scripts/*.sh web2py/scripts/*.py web2py/applications/admin web2py/applications/examples/ web2py/applications/welcome web2py/applications/__init__.py web2py/site-packages/__init__.py web2py/gluon/tests/*.sh web2py/gluon/tests/*.py
 
 mdp:
 	make epydoc

=== debian/changelog ===
web2py (1.96.1-1) unstable; urgency=low

  * New upstream version
  * Move wsgihandler.py from python-web2py to examples of python-gluon
  * Added subwsgihandler.py to python-gluon examples (as a patch)
  * Added web2py.apache-subdir and updated web2py.apache and README.Debian
  * Refreshed debian/patches/avoid_upgrading 

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Thu, 02 Jun 2011 16:55:29 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python-support, python (>= 2.5), quilt
 Build-Depends-Indep: libjs-jquery, python-feedparser
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.web2py.com
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-web2py/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-web2py/trunk/

## web2py 1.96.3

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 tests:
 	cd gluon/tests; ./test.sh 1>tests.log 2>&1 
 src:
-	echo 'Version 1.96.1 ('`date +%Y-%m-%d\ %H:%M:%S`')' > VERSION
+	echo 'Version 1.96.2 ('`date +%Y-%m-%d\ %H:%M:%S`')' > VERSION
 	### rm -f all junk files
 	make clean
 	### clean up baisc apps

=== debian/changelog ===
web2py (1.96.3-1) unstable; urgency=low

  * New upstream version

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Sun, 05 Jun 2011 11:18:24 +0200

web2py (1.96.2-1) unstable; urgency=low

  * New upstream version

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Sat, 04 Jun 2011 11:28:42 +0200

## web2py 1.96.4

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 tests:
 	cd gluon/tests; ./test.sh 1>tests.log 2>&1 
 src:
-	echo 'Version 1.96.2 ('`date +%Y-%m-%d\ %H:%M:%S`')' > VERSION
+	echo 'Version 1.96.4 ('`date +%Y-%m-%d\ %H:%M:%S`')' > VERSION
 	### rm -f all junk files
 	make clean
 	### clean up baisc apps

=== debian/changelog ===
web2py (1.96.4-2) unstable; urgency=low

  * Refreshed debian/patches/launcher: new module importing now works 

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Fri, 10 Jun 2011 13:51:18 +0200

web2py (1.96.4-1) unstable; urgency=low

  * New upstream version

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Wed, 08 Jun 2011 08:26:32 +0200

## web2py 1.97.1

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 tests:
 	cd gluon/tests; ./test.sh 1>tests.log 2>&1 
 src:
-	echo 'Version 1.96.4 ('`date +%Y-%m-%d\ %H:%M:%S`')' > VERSION
+	echo 'Version 1.97.1 ('`date +%Y-%m-%d\ %H:%M:%S`')' > VERSION
 	### rm -f all junk files
 	make clean
 	### clean up baisc apps

=== debian/changelog ===
web2py (1.97.1-1) unstable; urgency=low

  * New upstream version
  * Refreshed debian/patches/launcher to fix bug when used for first time
  * Moved most examples from python-web2py to python-gluon package

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Mon, 27 Jun 2011 10:14:46 +0200

## web2py 1.99.2

=== debian/changelog ===
web2py (1.99.2-2) unstable; urgency=low

  * Fixed paths in Vcs* fields (Closes: #643924) 

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Sat, 01 Oct 2011 12:01:56 +0200

web2py (1.99.2-1) unstable; urgency=low

  * New upstream version
  * Reverted transition to dh_python2 because of bad placement of
    files causing importing problems (Closes: #637971)

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Mon, 26 Sep 2011 10:28:59 +0200

web2py (1.98.2-1) unstable; urgency=low

  * New upstream version
  * Transition to dh_python2:
    - Removed python-support from build dependencies in debian/control
    - Bumped python version dependencies to 2.6.6-3 in debian/control

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Mon, 08 Aug 2011 13:20:06 +0200

## web2py 1.99.2.1

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,8 @@
 	rm -f parameters*.py 
 	rm -f -r applications/*/compiled     	
 	find ./ -name '*~' -exec rm -f {} \; 
+	find ./ -name '*.orig' -exec rm -f {} \; 
+	find ./ -name '*.rej' -exec rm -f {} \; 
 	find ./ -name '#*' -exec rm -f {} \;
 	find ./ -name 'Thumbs.db' -exec rm -f {} \; 
 	find ./gluon/ -name '.*' -exec rm -f {} \;
@@ -22,8 +24,11 @@
 	cp applications/examples/static/title.png applications/examples/static/epydoc
 tests:
 	cd gluon/tests; ./test.sh 1>tests.log 2>&1 
+update:
+	wget -O gluon/contrib/feedparser.py http://feedparser.googlecode.com/svn/trunk/feedparser/feedparser.py
+	wget -O gluon/contrib/simplejsonrpc.py http://rad2py.googlecode.com/hg/ide2py/simplejsonrpc.py
 src:
-	echo 'Version 1.97.1 ('`date +%Y-%m-%d\ %H:%M:%S`')' > VERSION
+	echo 'Version 1.99.2 ('`date +%Y-%m-%d\ %H:%M:%S`') stable' > VERSION
 	### rm -f all junk files
 	make clean
 	### clean up baisc apps
@@ -50,7 +55,7 @@
 	### build web2py_src.zip
 	echo '' > NEWINSTALL
 	mv web2py_src.zip web2py_src_old.zip | echo 'no old'
-	cd ..; zip -r web2py/web2py_src.zip web2py/gluon/*.py web2py/gluon/contrib/* web2py/splashlogo.gif web2py/*.py web2py/ABOUT  web2py/LICENSE web2py/README web2py/NEWINSTALL web2py/VERSION web2py/Makefile web2py/epydoc.css web2py/epydoc.conf web2py/app.example.yaml web2py/logging.example.conf web2py_exe.conf web2py/queue.example.yaml MANIFEST.in mkweb2pyenv startweb2py web2py/scripts/*.sh web2py/scripts/*.py web2py/applications/admin web2py/applications/examples/ web2py/applications/welcome web2py/applications/__init__.py web2py/site-packages/__init__.py web2py/gluon/tests/*.sh web2py/gluon/tests/*.py
+	cd ..; zip -r web2py/web2py_src.zip web2py/gluon/*.py web2py/gluon/contrib/* web2py/splashlogo.gif web2py/*.py web2py/ABOUT  web2py/LICENSE web2py/README web2py/NEWINSTALL web2py/VERSION web2py/Makefile web2py/epydoc.css web2py/epydoc.conf web2py/app.example.yaml web2py/logging.example.conf web2py_exe.conf web2py/queue.example.yaml MANIFEST.in w2p_apps w2p_clone w2p_run startweb2py web2py/scripts/*.sh web2py/scripts/*.py web2py/applications/admin web2py/applications/examples/ web2py/applications/welcome web2py/applications/__init__.py web2py/site-packages/__init__.py web2py/gluon/tests/*.sh web2py/gluon/tests/*.py
 
 mdp:
 	make epydoc
@@ -104,6 +109,10 @@
 	cp applications/__init__.py ../web2py_win/web2py/applications
 	cd ../web2py_win; zip -r web2py_win.zip web2py
 	mv ../web2py_win/web2py_win.zip .
+pip:
+	# create Web2py distribution for upload to Pypi
+	# after upload clean Web2py sources with rm -R ./dist
+	python setup.py sdist
 run:
 	python2.5 web2py.py -a hello
 push:

=== debian/changelog ===
web2py (1.99.2.1-1) unstable; urgency=low

  * Updated upstream sources with real 1.99.2 version
  * Ensure python-gtk2 is not needed to run web2py, fixing 
    debian/patches/gtk_gui (Closes: #646931)
  * Refreshed debian/patches/avoid_updating patch

 --  José L. Redrejo Rodríguez <jredrejo@debian.org>  Fri, 04 Nov 2011 10:12:01 +0100

## web2py 1.99.4

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 	wget -O gluon/contrib/feedparser.py http://feedparser.googlecode.com/svn/trunk/feedparser/feedparser.py
 	wget -O gluon/contrib/simplejsonrpc.py http://rad2py.googlecode.com/hg/ide2py/simplejsonrpc.py
 src:
-	echo 'Version 1.99.2 ('`date +%Y-%m-%d\ %H:%M:%S`') stable' > VERSION
+	echo 'Version 1.99.4 ('`date +%Y-%m-%d\ %H:%M:%S`') stable' > VERSION
 	### rm -f all junk files
 	make clean
 	### clean up baisc apps
@@ -47,15 +47,10 @@
 	cp applications/admin/views/appadmin.html applications/examples/views
 	cp applications/admin/controllers/appadmin.py applications/welcome/controllers
 	cp applications/admin/controllers/appadmin.py applications/examples/controllers	
-	### update the license
-	cp ABOUT applications/admin/
-	cp ABOUT applications/examples/
-	cp LICENSE applications/admin/
-	cp LICENSE applications/examples/
 	### build web2py_src.zip
 	echo '' > NEWINSTALL
 	mv web2py_src.zip web2py_src_old.zip | echo 'no old'
-	cd ..; zip -r web2py/web2py_src.zip web2py/gluon/*.py web2py/gluon/contrib/* web2py/splashlogo.gif web2py/*.py web2py/ABOUT  web2py/LICENSE web2py/README web2py/NEWINSTALL web2py/VERSION web2py/Makefile web2py/epydoc.css web2py/epydoc.conf web2py/app.example.yaml web2py/logging.example.conf web2py_exe.conf web2py/queue.example.yaml MANIFEST.in w2p_apps w2p_clone w2p_run startweb2py web2py/scripts/*.sh web2py/scripts/*.py web2py/applications/admin web2py/applications/examples/ web2py/applications/welcome web2py/applications/__init__.py web2py/site-packages/__init__.py web2py/gluon/tests/*.sh web2py/gluon/tests/*.py
+	cd ..; zip -r web2py/web2py_src.zip web2py/gluon/*.py web2py/gluon/contrib/* web2py/splashlogo.gif web2py/*.py web2py/README  web2py/LICENSE web2py/CHANGELOG web2py/NEWINSTALL web2py/VERSION web2py/Makefile web2py/epydoc.css web2py/epydoc.conf web2py/app.example.yaml web2py/logging.example.conf web2py_exe.conf web2py/queue.example.yaml MANIFEST.in w2p_apps w2p_clone w2p_run startweb2py web2py/scripts/*.sh web2py/scripts/*.py web2py/applications/admin web2py/applications/examples/ web2py/applications/welcome web2py/applications/__init__.py web2py/site-packages/__init__.py web2py/gluon/tests/*.sh web2py/gluon/tests/*.py
 
 mdp:
 	make epydoc
@@ -69,11 +64,11 @@
 	find gluon -path '*.pyc' -exec cp {} ../web2py_osx/site-packages/{} \;
 	cd ../web2py_osx/site-packages/; zip -r ../site-packages.zip *
 	mv ../web2py_osx/site-packages.zip ../web2py_osx/web2py/web2py.app/Contents/Resources/lib/python2.5
-	cp ABOUT ../web2py_osx/web2py/web2py.app/Contents/Resources
+	cp README ../web2py_osx/web2py/web2py.app/Contents/Resources
 	cp NEWINSTALL ../web2py_osx/web2py/web2py.app/Contents/Resources
 	cp LICENSE ../web2py_osx/web2py/web2py.app/Contents/Resources
 	cp VERSION ../web2py_osx/web2py/web2py.app/Contents/Resources
-	cp README ../web2py_osx/web2py/web2py.app/Contents/Resources
+	cp CHANGELOG ../web2py_osx/web2py/web2py.app/Contents/Resources
 	cp splashlogo.gif ../web2py_osx/web2py/web2py.app/Contents/Resources
 	cp options_std.py ../web2py_osx/web2py/web2py.app/Contents/Resources
 	cp routes.example.py ../web2py_osx/web2py/web2py.app/Contents/Resources
@@ -92,11 +87,11 @@
 	find gluon -path '*.pyc' -exec cp {} ../web2py_win/library/{} \;
 	cd ../web2py_win/library/; zip -r ../library.zip *
 	mv ../web2py_win/library.zip ../web2py_win/web2py
-	cp ABOUT ../web2py_win/web2py/
+	cp README ../web2py_win/web2py/
 	cp NEWINSTALL ../web2py_win/web2py/
 	cp LICENSE ../web2py_win/web2py/
 	cp VERSION ../web2py_win/web2py/
-	cp README ../web2py_win/web2py/
+	cp CHANGELOG ../web2py_win/web2py/
 	cp splashlogo.gif ../web2py_win/web2py/
 	cp options_std.py ../web2py_win/web2py/
 	cp routes.example.py ../web2py_win/web2py/
@@ -115,9 +110,13 @@
 	python setup.py sdist
 run:
 	python2.5 web2py.py -a hello
-push:
+commit:
 	make src
 	echo '' > NEWINSTALL
+	hg commit -m "$(S)"
+	#bzr commit -m "$(S)"
+	git commit -a -m "$(S)"
+push:
 	hg push
-	bzr push bzr+ssh://mdipierro@bazaar.launchpad.net/~mdipierro/web2py/devel --use-existing-dir
-
+	git push
+	#bzr push bzr+ssh://mdipierro@bazaar.launchpad.net/~mdipierro/web2py/devel --use-existing-dir

=== debian/changelog ===
web2py (1.99.4-1) unstable; urgency=low

  * New upstream release
  * Refreshed gtk_gui and avoid_upgrading patches
  * Fixed bug in debian/patches/launcher (Closes: #650721)

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Wed, 14 Dec 2011 18:14:45 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends-Indep: libjs-jquery, python-feedparser
 Standards-Version: 3.9.2
 Homepage: http://www.web2py.com
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-web2py/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-web2py/trunk/
+Vcs-Svn: svn://svn.debian.org/python-modules/packages/web2py/trunk/
+Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/web2py/trunk/
 
 Package: python-web2py
 Architecture: all

## web2py 1.99.7

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 	wget -O gluon/contrib/feedparser.py http://feedparser.googlecode.com/svn/trunk/feedparser/feedparser.py
 	wget -O gluon/contrib/simplejsonrpc.py http://rad2py.googlecode.com/hg/ide2py/simplejsonrpc.py
 src:
-	echo 'Version 1.99.4 ('`date +%Y-%m-%d\ %H:%M:%S`') stable' > VERSION
+	echo 'Version 1.99.7 ('`date +%Y-%m-%d\ %H:%M:%S`') stable' > VERSION
 	### rm -f all junk files
 	make clean
 	### clean up baisc apps

=== debian/changelog ===
web2py (1.99.7-1) unstable; urgency=low

  * New upstream release
  * Refreshed gtk_gui and fix_interpreters patches
  
 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Mon, 12 Mar 2012 12:44:02 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: José L. Redrejo Rodríguez <jredrejo@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python-support, python (>= 2.5), quilt
+Build-Depends: debhelper (>= 7.0.50~), python-support, python (>= 2.5)
 Build-Depends-Indep: libjs-jquery, python-feedparser
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.web2py.com
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/web2py/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/web2py/trunk/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
PREFIX = debian/python-web2py/usr/share/web2py

%:
	dh $@ 

override_dh_clean:
	#unset executable permissions in several files:
	find applications/ -type f -exec chmod -x {} \; 
	chmod -x gluon/contrib/pyfpdf/template.py
	chmod -x gluon/contrib/AuthorizeNet.py
	dh_clean
	
override_dh_install:
	dh_install

	#admin app must be upgraded only via a Debian package:
	rm -f $(PREFIX)/applications/admin/view/default/upgrade_web2py.html

	# no additional licensing files wanted 
	find debian/ -name LICENSE -delete
	find debian/ -name LICENSE.txt -delete	
	find debian/ -name license.txt -delete

	#created with web2py first run:
	#touch $(PREFIX)/welcome.w2p	
	
	#icon for desktop file:
	mv debian/python-web2py/usr/share/pixmaps/favicon.png debian/python-web2py/usr/share/pixmaps/web2py.png

	# Remove embedded Javascript libraries
	find $(PREFIX)/applications -name jquery.js -exec \
		ln -sf /usr/share/javascript/jquery/jquery.js {} \;

	# Removed embedded Feedparser module
	# For a Lenny backport, pyshared dir must be changed:
	#dh_link -p python-gluon /usr/share/python-support/python-feedparser/feedparser.py  usr/share/python-support/python-gluon/gluon/contrib/feedparser.py	
	dh_link -p python-gluon /usr/share/pyshared/feedparser.py usr/share/python-support/python-gluon/gluon/contrib/feedparser.py	
		
override_dh_installman:
	dh_installman debian/web2py.1 -ppython-web2py
	
override_dh_link:
	#avoid relative links for jquery.js libraries

## web2py 2.12.3

=== gluon/packages/dal/docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/gluon.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/gluon.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/gluon"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/gluon"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
web2py (2.12.3-1ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: remote code execution
   - debian/patches/CVE-2016-3957-1.patch: more secure sessions in
     cookies using json
   - debian/patches/CVE-2016-3957-2.patch: restored pickles in sessions
   - debian/patches/CVE-2016-3957-3.patch: fixed sessions for long keys
   - CVE-2016-3957
   - CVE-2016-3954
   - CVE-2016-3953
  * SECURITY UPDATE: brute force password attack
   - debian/patches/CVE-2016-10321.patch: check if host is denied before
     verifying passwords
   - CVE-2016-10321
  * SECURITY UPDATE: information disclosure
   - debian/patches/CVE-2016-3952-1.patch: do not leak global settings into
     request object
   - debian/patches/CVE-2016-3952-2.patch: adding back cmd_options
   - debian/patches/CVE-2016-3952-3.patch: simplified beautify example
   - debian/patches/CVE-2016-3952-4.patch: fixing error due to removing 
     global settings from request
   - debian/patches/CVE-2016-3952-5.patch: fixing typo on previous patch
   - CVE-2016-3952 

 -- Emilia Torino <emilia.torino@canonical.com>  Tue, 18 Jun 2019 14:01:55 -0300

web2py (2.12.3-1) unstable; urgency=medium

  [ José L. Redrejo Rodríguez]
  * Removed gtk patch, no needed now as tk looks good on Gnome  
  * Added extras directory to the instalation
  * Added apache configuration file to examples (Closes: #777696)
  * Removed python-support references (Closes: #798479)
  * Bump Standards-Version to 3.9.6 (no changes needed)

  [ Raphael Lechner ]
  * New upstream release (Closes: #689658, #772360)
  * Refreshed patches
  * Add version patch
  * Add fix_websocket_messaging patch

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Sat, 26 Sep 2015 18:56:08 +0200

web2py (1.99.7-2) unstable; urgency=low

  * Team upload.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.
  * Use empty lines to separate paragraphs in debian/control.

  [ Ana Rodríguez López ]
  * Replace python-support with dh-python (Closes: #786088)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 07 Sep 2015 23:40:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: web2py
 Section: python
 Priority: optional
-Maintainer: José L. Redrejo Rodríguez <jredrejo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: José L. Redrejo Rodríguez <jredrejo@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python-support, python (>= 2.5)
-Build-Depends-Indep: libjs-jquery, python-feedparser
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 7.0.50~), dh-python, python (>= 2.5)
+Build-Depends-Indep: libjs-jquery
+Standards-Version: 3.9.6
 Homepage: http://www.web2py.com
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/web2py/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/web2py/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/web2py/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/web2py/trunk/
 
 Package: python-web2py
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
PREFIX = debian/python-web2py/usr/share/web2py

%:
	dh $@ --with python2

override_dh_clean:
	#unset executable permissions in several files:
	find applications/ -type f -exec chmod -x {} \;
	chmod -x gluon/contrib/AuthorizeNet.py
	dh_clean

override_dh_install:
	dh_install

	#admin app must be upgraded only via a Debian package:
	rm -f $(PREFIX)/applications/admin/view/default/upgrade_web2py.html

	# no additional licensing files wanted
	find debian/ -name LICENSE -delete
	find debian/ -name LICENSE.txt -delete
	find debian/ -name license.txt -delete

	#created with web2py first run:
	#touch $(PREFIX)/welcome.w2p

	#icon for desktop file:
	mv debian/python-web2py/usr/share/pixmaps/favicon.png debian/python-web2py/usr/share/pixmaps/web2py.png

	# Remove embedded Javascript libraries
	find $(PREFIX)/applications -name jquery.js -exec \
		ln -sf /usr/share/javascript/jquery/jquery.js {} \;

	# Removed embedded Feedparser module
	# dh_link -p python-gluon /usr/share/pyshared/feedparser.py usr/share/python-support/python-gluon/gluon/contrib/feedparser.py
	find debian/python-gluon -name feedparser.py -delete

override_dh_installman:
	dh_installman debian/web2py.1 -ppython-web2py

override_dh_link:
	#avoid relative links for jquery.js libraries

=== debian/watch ===
version=3
http://www.web2py.com/examples/static/web2py_src.zip
